{
  stdenv,
  fetchFromGitHub,
  qtstyleplugin-kvantum-qt4,
}:
stdenv.mkDerivation {
  name = "sddm_midnight";
  version = 1.0;

  src = fetchFromGitHub {
    owner = "Rokin05";
    repo = "midnight-kde";
    rev = "1a4771146a8d6f3b45b1da32877495c9e562d193";
    sha256 = "10br96pf4dppk9nk7yvf7h9zja40k4c6rhwmqcaxxcjlhpvjmhkj";
  };

  buildInputs = [qtstyleplugin-kvantum-qt4];

  patchPhase = ''
    substituteInPlace sddm/themes/Midnight/Main.qml --replace /usr $out
  '';

  installPhase = ''
    mkdir -p $out/share
    cp -R \
        "aurorae" \
        "color-schemes" \
        "Kvantum" \
        "plasma" \
        "sddm" \
        "$out/share"
  '';
}
