{
  config,
  lib,
  ...
}:
with lib;
  mkIf (elem "emacs::telega" config.machine.pkgs) {
    programs.emacs.init.usePackage.telegram = {
      enable = true;
      defer = true;
      package = epkgs: [epkgs.telega epkgs.visual-fill-column];
      command = ["telega"];
      config = ''
        (telega-alert-mode 1)
      '';
    };
  }
