{
  config,
  pkgs,
  ...
}: {
  config.machine.pkgsets.nodejs.pkgs =
    (with pkgs; [nodejs yarn deno esbuild])
    ++ (with pkgs.nodePackages; [
      autoprefixer
      browserify
      create-react-app
      degit
      mermaid-cli
      parcel-bundler
      prettier
      prisma
      rollup
      serve
      svelte-check
      svelte-language-server
      tailwindcss
      ts-node
      typescript
      typescript-language-server
      webpack
      webpack-cli
    ]);
}
