{
  config,
  pkgs,
  ...
}: {
  console.keyMap = "de";
  i18n = {
    defaultLocale = "en_US.UTF-8";
    supportedLocales = ["all"];
    inputMethod = {
      enabled =
        if config.services.xserver.enable
        then "fcitx5"
        else null;
      fcitx5.addons = with pkgs; [fcitx5-chinese-addons fcitx5-mozc fcitx5-table-extra];
    };
  };
}
