{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
  mkIf (elem "emacs::direnv" config.machine.pkgs) {
    programs.emacs.init.usePackage.direnv = {
      enable = true;
      config = ''(direnv-mode)'';
    };
    services.lorri.enable = true;
    environment.systemPackages = with pkgs; [lorri direnv];
  }
