{
  config,
  lib,
  ...
}:
with lib;
  mkIf (elem "emacs::docker" config.machine.pkgs) {
    programs.emacs.init.usePackage = {
      dockerfile-mode = {
        enable = true;
      };
      docker = {
        enable = true;
      };
      docker-compose-mode = {
        enable = true;
      };
      docker-tramp = {
        enable = true;
      };
    };
  }
