{
  config,
  lib,
  ...
}:
with lib;
  mkIf (elem "emacs::flycheck" config.machine.pkgs) {
    programs.emacs.init.usePackage.flycheck = {
      enable = true;
      command = ["global-flycheck-mode"];
      defer = 1;
      bind = {};
      config = ''

      '';
    };

    programs.emacs.init.usePackage.flycheck-haskell = {
      enable = elem "emacs::haskell" config.machine.pkgs;
    };

    programs.emacs.init.usePackage.flycheck-irony = {
      enable = elem "emacs::irony" config.machine.pkgs;
    };

    programs.emacs.init.usePackage.flycheck-mypy = {
      enable = elem "emacs::elpy" config.machine.pkgs;
    };

    programs.emacs.init.usePackage.pylint = {
      enable = elem "emacs::elpy" config.machine.pkgs;
    };

    programs.emacs.init.usePackage.flycheck-rust = {
      enable = elem "emacs::rust" config.machine.pkgs;
    };
  }
