{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
  mkIf (elem "emacs::latex" config.machine.pkgs) {
    programs.emacs.init.usePackage = {
      latex-mode = {
        enable = true;
        package = epkgs: null;
        defer = true;
      };

      tex-site = {
        enable = true;
        defer = true;
        package = epkgs: epkgs.auctex;
        hook = [];
        mode = [''("\\.tex\\'" . TeX-latex-mode)''];
      };

      preview = {
        enable = true;
        defer = true;
        package = epkgs: epkgs.auctex;
      };
    };
  }
