{
  config,
  lib,
  ...
}:
with lib;
  mkIf (elem "emacs::nix-mode" config.machine.pkgs) {
    programs.emacs.init.usePackage.nix-mode = {
      enable = true;
      mode = [''"\\.nix\\'"''];
      config = ''(setq nix-nixfmt-bin "nixfmt -w 150")'';
    };
  }
