{
  config,
  lib,
  ...
}:
with lib;
  mkIf (elem "emacs::php-mode" config.machine.pkgs) {
    programs.emacs.init.usePackage = {
      php-mode = {
        enable = true;
        hook =
          lib.optional (elem "emacs::lsp" config.machine.pkgs)
          ''(typescript-mode . (lambda () (lsp)))'';
      };
    };
  }
