{
  config,
  lib,
  ...
}:
with lib;
  {
    vHost =
      if config.services.nix-serve.enable
      then {
        extraConfig = ''
          location / {
            proxy_pass http://${config.services.nix-serve.bindAddress}:${toString config.services.nix-serve.port};
            proxy_set_header Host $host;
            proxy_set_header REMOTE_ADDR $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto https;
          }
        '';
      }
      else {};
  }
  .vHost
